#version 330

uniform sampler2D DiffuseSampler;
uniform sampler2D FinalSampler;

in vec2 texCoord;
out vec4 fragColor;

float fadetime = 32.;

void main() {
    vec4 lastglow = texture(DiffuseSampler, vec2(0.2));
    float fade = texture(DiffuseSampler, vec2(0.3)).r;
    vec4 glow = vec4(texture(FinalSampler, vec2(0.5)).rgb,1.0);
    
    if (glow.r > 0.3 && glow.r != lastglow.r) {
        fade = 1.0;
        lastglow = glow;
    }
    else {fade -= 1./fadetime;}

    if (texCoord.x < 0.35) fragColor = vec4(vec3(fade),1.0);
    if (texCoord.x < 0.25) fragColor = lastglow;
    if (texCoord.x < 0.15) fragColor = glow;

    //impossible condition thats required for some reaosn to work
    if (texCoord.x == -1.0) fragColor = texture(DiffuseSampler, texCoord) + texture(FinalSampler, texCoord);
}